MediaWiki:Mbox.css

From Honkai: Nexus Anima Wiki
Revision as of 22:16, 13 July 2026 by Kuhlau (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* Mbox */
.mbox {
	--type-important: rgba(200, 0, 0, 0.8);
	--type-moderate: rgba(233, 124, 47, 0.8);
	--type-minor: rgba(241, 197, 37, 0.8);
	display: flex;
	position: relative;
	background-color: var(--custom-mbox-bg);
	border: 1px solid #d6d6d6;
	border-left-width: 8px;
	border-left-color: #d6d6d6;
	border-radius: 3px;
	margin-bottom: 5px;
	min-height: 32px;
}

.mbox.mbox-type-important {
	border-left-color: var(--type-important);
}

.mbox.mbox-type-moderate {
	border-left-color: var(--type-moderate);
}

.mbox.mbox-type-minor {
	border-left-color: var(--type-minor);
}

.mbox__content {
	display: table;
	box-sizing: border-box;
	width: 100%;
	padding: 8px 15px;
}

.mbox__content__image {
	display: table-cell;
	width: 40px;
	height: 100%;
	text-align: center;
	vertical-align: middle;
	padding-right: 15px;
}

.mbox__content__wrapper {
	display: table-cell;
	vertical-align: middle;
}

.mbox__content__header {
	display: block;
	font-weight: bold;
}

.mbox__content__text {
	display: block;
}

.mbox__content__text__comment {
	font-size: small;
}

.mbox__content__aside {
	display: table-cell;
	width: 100px;
	vertical-align: middle;
	text-align: center;
	padding-left: 15px;
	border-left: 1px solid #d6d6d6;
}

.mbox__close {
	position: absolute;
	right: 0;
	top: 0;
	padding: 2px 7px;
	font-weight: bold;
	font-size: 16px;
	color: #bbb;
	cursor: pointer;
	transition: all .15s ease-in;
}

.mbox__close:hover {
	color: #777;
}

.mbox__close:after {
	content: '×';
}

.mw-collapsed+.mbox__close {
	transform: rotate(45deg);
	padding: 4px 7px 5px 2px;
}

/* Remove accessibility feature for mbox toggle */
.mw-customtoggle-mbox {
	outline: none;
}

/* FandomMobile overrides */
.skin-minerva .mbox .mbox__content__image {
	display: unset;
	padding-right: 0;
}

.skin-minerva .mbox .mbox__content__wrapper {
	display: unset;
}

.skin-minerva .mbox .article-media-thumbnail {
	margin-bottom: 0;
}

.skin-minerva .mbox .mbox__content__header {
	display: inline-block;
}